Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject

    java.lang.Object
      org.apache.axis.transport.jms.JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject

Enclosing class:
  JMSConnectorManager.ShareableObjectPool

public class JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject
extends java.lang.Object

Wrapper to track the use count of an object

Constructor Summary
`JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject(java.lang.Object obj)`

Method Summary
`int` | `count()`
`void` | `decrement()`
`void` | `increment()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject

    public JMSConnectorManager.ShareableObjectPool.ReferenceCountedObject(java.lang.Object obj)

Method Detail

### increment

    public void increment()

### decrement

    public void decrement()

### count

    public int count()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.